Bug 1482515 - [Tracing] capturing trace data failed [rhel-7.4.z]
Summary: [Tracing] capturing trace data failed [rhel-7.4.z]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev
Version: 7.4
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: ---
Assignee: Stefan Hajnoczi
QA Contact: jingzhao
URL:
Whiteboard:
: 1482516 (view as bug list)
Depends On: 1463172
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-17 12:56 UTC by Oneata Mircea Teodor
Modified: 2017-09-05 11:52 UTC (History)
9 users (show)

Fixed In Version: qemu-kvm-rhev-2.9.0-16.el7_4.5
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1463172
Environment:
Last Closed: 2017-09-05 11:52:57 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:2628 normal SHIPPED_LIVE Moderate: qemu-kvm-rhev security and bug fix update 2017-09-05 15:52:24 UTC

Description Oneata Mircea Teodor 2017-08-17 12:56:02 UTC
This bug has been copied from bug #1463172 and has been proposed to be backported to 7.4 z-stream (EUS).

Comment 2 Stefan Hajnoczi 2017-08-21 14:28:48 UTC
*** Bug 1482516 has been marked as a duplicate of this bug. ***

Comment 4 Miroslav Rezanina 2017-08-23 05:16:44 UTC
Fix included in qemu-kvm-rhev-2.9.0-16.el7_4.5

Comment 6 jingzhao 2017-08-24 05:52:01 UTC
Reproduce the issue on qemu-kvm-rhev-2.9.0-16.el7_4.4.x86_64 and verified it on qemu-kvm-rhev-2.9.0-16.el7_4.5.x86_64, following are detailed steps

Version:
qemu-kvm-rhev-2.9.0-16.el7_4.5.x86_64
kernel-3.10.0-693.2.1.el7.x86_64
systemtap-3.1-5.el7.x86_64

Steps:
1. cp /usr/share/qemu-kvm/systemtap/script.d/qemu_kvm.stp /etc/systemtap/script.d/

2. cp /usr/share/qemu-kvm/systemtap/conf.d/qemu_kvm.conf /etc/systemtap/conf.d/

3. service systemtap start qemu_kvm

4. [root@localhost home]# chkconfig systemtap on
[root@localhost home]# service systemtap status qemu_kvm
qemu_kvm is running...

5. boot guest with qemu command line [1]

6. staprun -A qemu_kvm >/tmp/trace.log 

7. In guest "dd if=/dev/zero of=/home/test.txt bs=1M count=1000"

8.[root@localhost ~]# /usr/share/qemu-kvm/simpletrace.py --no-header /usr/share/qemu-kvm/trace-events-all /tmp/trace.log 

Actual Result:
[root@localhost ~]# /usr/share/qemu-kvm/simpletrace.py --no-header /usr/share/qemu-kvm/trace-events-all /tmp/trace.log
monitor_protocol_event_queue 0.000 pid=15469 event=0x15 qdict=0x55df67da2400 rate=0x0
monitor_protocol_event_emit 2.665 pid=15469 event=0x15 data=0x55df67da2400
monitor_protocol_event_queue 13016051.372 pid=15469 event=0x1f qdict=0x55df67da2400 rate=0x0
monitor_protocol_event_emit 2.454 pid=15469 event=0x1f data=0x55df67da2400
monitor_protocol_event_queue 15493.556 pid=15469 event=0x21 qdict=0x55df67da2400 rate=0x0
monitor_protocol_event_emit 2.862 pid=15469 event=0x21 data=0x55df67da2400
monitor_protocol_event_queue 12038065.150 pid=15469 event=0x10 qdict=0x55df67da2400 rate=0x0
monitor_protocol_event_emit 3.290 pid=15469 event=0x10 data=0x55df67da2400


[1]
/usr/libexec/qemu-kvm \
-machine q35,smm=on,accel=kvm \
-cpu Haswell-noTSX \
-nodefaults -rtc base=utc \
-m 4G \
-smp 4,sockets=4,cores=1,threads=1 \
-enable-kvm \
-uuid 990ea161-6b67-47b2-b803-19fb01d30d12 \
-k en-us \
-nodefaults \
-serial unix:/tmp/console,server,nowait \
-boot menu=on \
-qmp tcp:0:6667,server,nowait \
-vga qxl \
-chardev file,path=/home/seabios.log,id=seabios -device isa-debugcon,chardev=seabios,iobase=0x402 \
-device pcie-root-port,bus=pcie.0,id=root3 \
-drive file=/home/rhel74.qcow2,if=none,id=drive-virtio-disk0,format=qcow2,cache=none,werror=stop,rerror=stop \
-device virtio-blk-pci,drive=drive-virtio-disk0,id=virtio-disk0,bus=root3,bootindex=0 \
-device pcie-root-port,bus=pcie.0,id=root0,multifunction=on,chassis=1,addr=0xa.0 \
-device virtio-net-pci,netdev=tap10,mac=9a:6a:6b:6c:6d:6e,bus=root0 -netdev tap,id=tap10 \
-device pcie-root-port,bus=pcie.0,id=root1,chassis=11,addr=0xa.1 \
-device pcie-root-port,bus=pcie.0,id=root2,chassis=12,addr=0xa.2 \
-drive file=/home/block1.qcow2,if=none,id=drive-virtio-disk1,format=qcow2,cache=none,werror=stop,rerror=stop \
-device virtio-blk-pci,drive=drive-virtio-disk1,id=virtio-disk1,bus=root2 \
-monitor stdio \
-vnc :1 \


According to above test result, changed status to verified

Thanks
Jing

Comment 8 errata-xmlrpc 2017-09-05 11:52:57 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2628


Note You need to log in before you can comment on or make changes to this bug.